List webhook deliveries
Returns unexpired history, including for a deleted endpoint. Metadata does not include event payloads.
Required API key permissions: read:webhooks. Write permissions also grant read access for the same resource.
Authentication
apiKeyhttp, bearer, Andesine API keyUse an Andesine API key as a Bearer token
oauthhttp, bearer, Andesine OAuth access tokenUse an OAuth access token with andesine:api scope. Send x-workspace-id for workspace operations. Current user permissions apply.
Path parameters
id*stringQuery parameters
cursorstringlimitnumber50typeWebhookEventName"entry.created", "entry.updated", "entry.content_saved", "entry.moved", "entry.deleted", "entry.restored", "collection.created", "collection.updated", "collection.moved", "collection.deleted", "collection.restored", "publishing.channel_advanced", "publishing.channel_created", "publishing.channel_deleted"statestring"pending", "in_flight", "succeeded", "failed", "cancelled"createdAfterstringcreatedBeforestringHeaders
x-workspace-idstringRequired for OAuth: ID of the workspace to access. API keys use their own workspace.
Responses
200OKapplication/json
Bodyobject2 fields
data*array of WebhookDelivery16 fields
id*stringendpointID*stringeventID*stringtype*WebhookEventName"entry.created", "entry.updated", "entry.content_saved", "entry.moved", "entry.deleted", "entry.restored", "collection.created", "collection.updated", "collection.moved", "collection.deleted", "collection.restored", "publishing.channel_advanced", "publishing.channel_created", "publishing.channel_deleted"occurredAt*stringtest*booleanstate*string"pending", "in_flight", "succeeded", "failed", "cancelled"selectedRevision*numbercreatedAt*stringexpiresAt*stringretentionDays*numberattemptCount*numbercurrentRunID*any ofOptions
Any of
Option 1string
Option 2null
nextAttemptAt*any ofOptions
Any of
Option 1string
Option 2null
lastHTTPStatus*any ofOptions
Any of
Option 1number
Option 2null
lastFailureCategory*any ofOptions
Any of
Option 1string
"http_status", "timeout", "network", "destination_policy", "internal"Option 2null
pagination*Pagination2 fields
nextCursor*any ofOptions
Any of
Option 1string
Option 2null
hasMore*boolean400Bad Requestapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"BAD_REQUEST"status*constant400message*string"Bad Request"dataValidationErrorData2 fields
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
issuesarray of ValidationIssue3 fields
message*stringcodestringpatharray of any ofOptions
Any of
Option 1string
Option 2number
Option 3object
key*any ofOptions
Any of
Option 1string
Option 2number
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany401Unauthorizedapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"UNAUTHORIZED"status*constant401message*string"Unauthorized"dataErrorData1 field
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany403Forbiddenapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"FORBIDDEN"status*constant403message*string"Forbidden"dataForbiddenErrorData4 fields
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
missingPermissionsarray of stringrequiredPlanconstant"pro"actionstringThe requested action that was denied
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany404Not Foundapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"NOT_FOUND"status*constant404message*string"Not Found"dataErrorData1 field
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany409Conflictapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"CONFLICT"status*constant409message*string"Conflict"dataErrorData1 field
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany429Too Many Requestsapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"TOO_MANY_REQUESTS"status*constant429message*string"Too Many Requests"dataRateLimitErrorData3 fields
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
limitstringThe limit that was reached: a short-term rate limit, or a monthly API call, AI credit, or spending limit
"rate", "api-calls", "ai-credits", "spending"retryAfterSecondsnumberMinimum delay before another attempt, in seconds. Also sent in Retry-After.
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany500Internal Server Errorapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"INTERNAL_SERVER_ERROR"status*constant500message*string"Internal Server Error"dataErrorData1 field
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany503Service Unavailableapplication/json
Bodyone ofOptions
One of
Option 1object
defined*constanttruecode*constant"SERVICE_UNAVAILABLE"status*constant503message*string"Service Unavailable"dataErrorData1 field
hintsarray of stringSuggested next steps. Wording can change; use error codes and structured data for program logic.
Option 2object
defined*constantfalsecode*stringstatus*numbermessage*stringdataany